# ---------- CCS C Compiler configuration ----------
# --- general --------------------------------------
# $P  - project name
# $Pp - path to project directory
# $Pn - project name
# --- compile --------------------------------------
# $I  - input full name
# $Ip - input path
# $In - input name
# $Ie - input extension
# $O  - output file
# $Op - path to output file
# $On - output filename (without path)
# $Oe - output extension
# $R  - release/debug setting for compiler
# --- build ----------------------------------------
# $T  - target full name
# $Tp - target path
# $Tn - target name
# $O  - output file
# $Op - path to output file
# $On - output filename (without path)
# $Oe - output extension
# $R  - release/debug setting for linker

[Settings]

Target = 
Category&01 = DEFAULT RUN CONFIGURATION
Working Directory =.
Command Line Arguments =
Category&02 = OPTIONS
Output Type = 8 bit Intel HEX|16 bit Intel HEX|Binary
Format = PCH|PCM|PCB|SXC
Call Tree = Default|Yes|No
List File = Default|Normal|MPASM|Old MPASM|No
Stats File = Default|Yes|No
Symbol File = Default|Yes|No
Optimization = 9|0|1|2|3|4|5|6|7|8
Compile Status Window = Close|Keep
Error Level = Show All|Errors Only|First Error Only
Debug Type = Standard COD Format|Expanded COD Format|MAP Format|COFF File
Debugger= icd.exe

Compiler Options = 

[SettingsInfo]
Target = Provides a space for you to specify an output file and location of the program that the linker creates.
Working Directory = Provides a space for you to specify the directory in which executing occurs. If you do not specify a directory, executing occurs in the directory where the executable is located.
Command Line Arguments = Provides a space for you to specify command-line arguments you want to pass to the program at startup.
Debugger=Provides a space for you to set the debugger you want to use to debug application.

[SettingsReps]

Output Type = 8 bit Intel HEX=+O8HEX|16 bit Intel HEX=+OWHEX|Binary=+OBHEX
Debug Type = Standard COD Format=+D|Expanded COD Format=+DM|MAP Format=+DC|COFF File=+DF
Error Level = Show All=+EA|Errors Only=+EA -EW|First Error Only=-E
List File = Default=|Normal=+LN|MPASM=+LS|Old MPASM=+LO|No=-L
Compile Status Window = Close=-P|Keep=+P
Format = PCH=+FH|PCM=+FM|PCB=+FB|SXC=+FS
Symbol File = Default=|Yes=+M|No=-M
Stats File = Default=|Yes=+A|No=-A
Call Tree = Default=|Yes=+T|No=-T
Optimization = @+Y%s

[Variables]

CPATH = $(HKEY_LOCAL_MACHINE\SOFTWARE$6432\CCS, Inc.\PCW\InstallDir|C:\PROGRA~1\PICC)
COPT = +STDOUT -P $(Compiler Options) $(Output Type) $(Compile Status Window) $(Format) $(Call Tree) $(Stats File) $(Optimization) $(Symbol File) $(List File) $(Error Level)


[Environment]

PATH = $(CPATH);$(CPATH)\DLL;%PATH%
INCLUDE = $(CPATH)\Devices;$(CPATH)\Drivers;%INCLUDE%

[General]

TargetExt = .HEX
ReleaseOut = Release
DebugOut = Debug
UseFullPaths = 1
UseDosNames = 1
Excludes = $(Excluded Files)
BuildOnly = 1

[InsertFiles]

group0 = $(Libraries)

[FileGroups]

FGC = .C;

[Build]

Out = $T
Depends = $FGC
ReleaseFlag = -D
DebugFlag = +ICD $(Debug Type)
Cmd0 = CCSC $(COPT) $R -O$O $FGC

[MakeCommands]

debug = Start Debugger
makef = Show Makefile

[Start Debugger]
Title=Start Debugger
Cmd0=$(debugger) $T
ShowWindow=1
DisplayConsole=0

[Show Makefile]
Title=Show makefile
Cmd0=uestudio $(UESMAKEFILE)
ShowWindow=1
DisplayConsole=0
